# Uses of Interface
org.eclipse.zest.layouts.interfaces.GraphStructureListener

Packages that use GraphStructureListener
Package
Description
org.eclipse.zest.layouts.interfaces

## Uses of GraphStructureListener in org.eclipse.zest.layouts.interfaces

Classes in org.eclipse.zest.layouts.interfaces that implement GraphStructureListener
Modifier and Type
Class
Description
`static class`
`GraphStructureListener.Stub`
Methods in org.eclipse.zest.layouts.interfaces with parameters of type GraphStructureListener
Modifier and Type
Method
Description
`void`
LayoutContext.`addGraphStructureListener(GraphStructureListener listener)`
Adds a listener to the context that will be notified about changes in graph structure, that is addition and removal of nodes and connections.
`void`
LayoutContext.`removeGraphStructureListener(GraphStructureListener listener)`
Removes a graph structure listener from this context.